aboutsummaryrefslogtreecommitdiffstats
path: root/main/font-misc-meltho
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-26 08:46:52 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-26 08:46:52 +0000
commit2adf2e788a1c05385f35c7fe207dd404967571c5 (patch)
tree70479963791a22ae82ead5421f21f752fea941fc /main/font-misc-meltho
parentb4101ca5604e3439d85d41769482ce1a3195643a (diff)
downloadaports-2adf2e788a1c05385f35c7fe207dd404967571c5.tar.gz
aports-2adf2e788a1c05385f35c7fe207dd404967571c5.tar.bz2
aports-2adf2e788a1c05385f35c7fe207dd404967571c5.tar.xz
main/font-misc-*: build fix
Diffstat (limited to 'main/font-misc-meltho')
-rw-r--r--main/font-misc-meltho/APKBUILD13
1 files changed, 11 insertions, 2 deletions
diff --git a/main/font-misc-meltho/APKBUILD b/main/font-misc-meltho/APKBUILD
index 1ba95b9bb9..758c2465ab 100644
--- a/main/font-misc-meltho/APKBUILD
+++ b/main/font-misc-meltho/APKBUILD
@@ -10,13 +10,22 @@ makedepends="pkgconfig font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure --prefix=/usr \
--with-mapfiles=/usr/share/fonts/util \
--with-fontdir=/usr/share/fonts/meltho
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" \
+ FCCACHE=: \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ install || return 1
}
md5sums="ccb212a7badf7aefdc9f9a92af428d32 font-misc-meltho-1.0.0.tar.bz2"